#!/usr/bin/perl

#  Copyright (c) 1997, 1998  XynX! GmbH Germany
#
#  Dies ist ein CGI in Perl-Skript fr Bestellungen ber das Internet fr einen
#  UNIX/LINUX-Server.
#  Es ist genau an unsere Bestellseite angepat und sendet uns eine Nachricht,
#  wenn eine Bestellung eingegangen ist. Dem Absender sendet es eine
#  Besttigung zu.
#  Sie haben unsere ausdrckliche Genehmigung, dieses Skript Ihren eigenen
#  Bedrfnissen anzupassen und fr Ihre Internet-Site zu verwenden. Sie drfen
#  es jedoch nicht weitergeben, verkaufen oder sonstwie kommerziell verwenden,
#  in das Internet oder Mailboxen hochladen, Ihr eigenes Copyright einzutragen
#  oder in irgendeiner Form zu verffentlichen, sei es schriftlich oder
#  elektronisch.
#
#  XynX! GmbH


#  Externe Programme, die von diesem Skript aufgerufen werden
#
$CGIPARSE = '/usr/local/httpd/cgi-bin/cgiparse';
$MAILTOOL = '/usr/bin/mail';

#  Mailadresse, an die die Bestellung gesendet werden soll
#
$MAILADDR_XYNX = "sales\@xynx.de";

$ProductNJT = "XynX! NetJet";
$ProductPXL = "XynX! Pixel";

#   Anzahl der Fehlerzustandcodes
#
$NUM_ERRORCODES = 12;


sub LoadStringsEnglish
{
  $Confirmations = "Order confirmation";
  $ErrPgTitles = "Error or unacceptable data";
  $ErrPgFoots = "<P>This page has been automatically created after receipt of your data.<BR>In case of problems, errors or unaceptable results feel free to contact our <I><A HREF=\"mailto:webmaster\@xynx.de\">WebMaster\@XynX.de</A></I>.<BR><B>Thank you!</B></P>\n";
  $ErrPgReasons = "<P>The reason your order failed was:</P>\n";
  $Thanks = "<P>Thank you very much for your order.</P>\n<P>The following data has been sent to sale:</P>\n";
  $Foots = "<P>This page has been automatically created after receipt of your data.<BR>\nIn case of problems, errors or unacceptable results feel free to contact our <I><A HREF=\"mailto:webmaster\@xynx.de\">WebMaster\@XynX.de</A></I>.<BR><B>Thank you!</B></P>\n";
  $GoBacks = "<HR><P ALIGN=CENTER><A HREF=\"%s\">Back</A></P>\n";

  $Names	= "Name";
  $Orgs		= "Company";
  $Streets	= "Street";
  $Zips		= "Zipcode";
  $Towns	= "Town";
  $Countrys	= "Country";
  $Tels		= "Tel.";
  $Faxs		= "Fax";
  $CCardTypes	= "Type";
  $CCardOwners	= "Owner";
  $CCardNumbers	= "Number";
  $CCardExpires	= "Expire date";
  $Comments	= "Comment";
  $Pay_Bys	= "Pay by";

  $PayBys[0] = "COD";
  $PayBys[1] = "Cheque";
  $PayBys[2] = "Credit card";
  $PayBys[3] = "Invoice";

  $Errors[ 0] = "Sorry, an unknown error occurred. Please contact the Webmaster\@XynX.de";
  $Errors[ 1] = "No name was given.";
  $Errors[ 2] = "No street was given.";
  $Errors[ 3] = "No zip code was given.";
  $Errors[ 4] = "No town was given.";
  $Errors[ 5] = "No country was given.";
  $Errors[ 6] = "All order numbers are less than zero or contain unacceptable data.";
  $Errors[ 7] = $Errors[ 6];
  $Errors[ 8] = "Missing information about the credit card.";
  $Errors[ 9] = "Unkown payment method.";
  $Errors[10] = "Unkown credit card type.";
  $Errors[11] = "No telephone number was given.";

  $Errors6 = "<P><B>Note:</B> The entered comment has been mailed to XynX! GmbH!</P>\n";
  $Ordereds = "Ordered packets";
}

sub LoadStringsGerman
{
  $Confirmations = "Best&auml;tigung Ihrer Bestellung";
  $ErrPgTitles = "Fehler bei der Bestellung";
  $ErrPgFoots = "<P>Diese Seite wurde automatisch auf der Basis Ihrer Angaben erstellt.<BR>Bei Problemen, Fehlern oder falschen Ergebnissen bitte Nachricht an <I><A HREF=\"mailto:webmaster\@xynx.de\">WebMaster\@XynX.de</A></I>.<BR><B>Danke!</B></P>\n";
  $ErrPgReasons = "<P>Beim Bearbeiten Ihrer Bestellungsangaben trat (mind.) ein Fehler auf:</P>\n";
  $Thanks = "<P>Vielen Dank fr Ihre Bestellung.</P>\n<P>Die folgenden Angaben wurden an den Verkauf weitergeleitet:</P>\n";
  $Foots = "<P>Diese Seite wurde automatisch auf der Grundlage Ihrer Angaben erstellt.<BR>\nBei Problemen, Fehlern oder falschen Ergebnissen bitte Nachricht an den <I><A HREF=\"mailto:webmaster\@xynx.de\">WebMaster\@XynX.de</A></I>.<BR><B>Danke!</B></P>\n";
  $GoBacks = "<HR><P ALIGN=CENTER><A HREF=\"%s\">Zur&uuml;ck</A></P>\n";

  $Names	= "Name";
  $Orgs		= "Firma";
  $Streets	= "Stra&szlig;e";
  $Zips		= "Plz";
  $Towns	= "Stadt";
  $Countrys	= "Land";
  $Tels		= "Tel.";
  $Faxs		= "Fax";
  $CCardTypes	= "Typ";
  $CCardOwners	= "Besitzer";
  $CCardNumbers	= "Nummer";
  $CCardExpires	= "G&uuml;ltig bis";
  $Comments	= "Kommentar";
  $Pay_Bys	= "Zahlungsweise";

  $PayBys[0] = "Nachnahme";
  $PayBys[1] = "Vorauskasse";
  $PayBys[2] = "Kreditkarte";
  $PayBys[3] = "Rechnung";

  $Errors[ 0] = "Es ist ein unbekannter Fehler aufgetreten. Bitte benachrichtigen Sie den Webmaster\@XynX.de";
  $Errors[ 1] = "Die Namensangabe ist leer.";
  $Errors[ 2] = "Die Straenangabe ist leer.";
  $Errors[ 3] = "Keine Plz-Angabe.";
  $Errors[ 4] = "Keine Stadt angegeben.";
  $Errors[ 5] = "Kein Land angegeben.";
  $Errors[ 6] = "Alle Bestellmengen sind kleiner gleich Null oder ungltige Angaben.";
  $Errors[ 7] = $Errors[6];
  $Errors[ 8] = "Es fehlen die Angaben zur Kreditkarte.";
  $Errors[ 9] = "Unbekannte Zahlungsweise.";
  $Errors[10] = "Unbekannter Kreditkartentyp.";
  $Errors[11] = "Die Telefonnummer (f&uuml;r evtl. R&uuml;ckfragen) fehlt.";

  $Errors6 = "<P><B>Hinweis:</B> Der eingegebene Kommentar wurde als eMail an XynX! GmbH weitergeleitet!</P>\n";
  $Ordereds = "Bestellte Pakete";
}


#  Environment-Variablen auslesen
#
sub GetEnvironment
{
   #  Das das Lesen der Formular-Angaben von stdin anscheinend nicht immer
   #  funktioniert, wird der String in die REQUEST-METHOD-Variable kopiert.
   #  Das cgiparse scheint damit gut klarzukommen.
   #
   if ($ENV{'REQUEST_METHOD'} eq "POST")
      { $form = <STDIN>; }

   $ENV{'QUERY_STRING'} = $form;

   $VarRequestMethod	= $ENV{ "REQUEST_METHOD"	};

   $VarRemoteHost	= $ENV{ "REMOTE_HOST"		};
   $VarRemoteAddr	= $ENV{ "REMOTE_ADDR"		};
   $VarRemoteUser	= $ENV{ "REMOTE_USER"		};
   $VarHttpUserAgent	= $ENV{ "HTTP_USER_AGENT"	};
   $VarHttpReferer	= $ENV{ "HTTP_REFERER"		};

   $VarContentType	= $ENV{ "CONTENT_TYPE"		};
   $VarContentLength	= $ENV{ "CONTENT_LENGTH"	};
   $VarQueryString	= $ENV{ "QUERY_STRING"		};
}


sub GetLanguage
{
   my $FormLanguage	= "Language";
#  my $FormLEnglish	= "English";
   my $FormLGerman	= "German";
#  my $FormLFrench	= "French";

   my $p = `"$CGIPARSE" -value $FormLanguage`;

   if ( substr( $p, 0, $#FormLGerman ) eq $FormLGerman )
      { &LoadStringsGerman(); }
   else
      { &LoadStringsEnglish(); }
}


sub GetFormularData
{
   my $strFormName	= "Name";
   my $strFormOrg	= "Org";
   my $strFormStreet	= "Street";
   my $strFormZip	= "Zip";
   my $strFormTown	= "Town";
   my $strFormCountry	= "Country";
   my $strFormTel	= "Tel";
   my $strFormFax	= "Fax";
   my $strFormEMail	= "eMail";
   my $strFormOrderNJT	= "OrderNJT";
   my $strFormOrderPXL	= "OrderPXL";
   my $strFormNumNJT	= "NumNJT";
   my $strFormNumPXL	= "NumPXL";
   my $strFormPayBy	= "PayBy";
   my $strFormCCardType	= "CCardType";
   my $strFormCCardOwner= "CCardOwner";
   my $strFormCCardNumber= "CCardNumber";
   my $strFormCCardExpire= "CCardExpire";
   my $strFormComment	= "Comment";
   my $strValuePbCod	= "COD";
   my $strValuePbCheque	= "Cheque";
   my $strValuePbCCard	= "CCard";
   my $strValuePbInvoice= "Invoice";
   my $strValueOrder	= "Checked";

   $pFormName	= `"$CGIPARSE" -value $strFormName`;
   $pFormOrg	= `"$CGIPARSE" -value $strFormOrg`;
   $pFormStreet	= `"$CGIPARSE" -value $strFormStreet`;
   $pFormZip	= `"$CGIPARSE" -value $strFormZip`;
   $pFormTown	= `"$CGIPARSE" -value $strFormTown`;
   $pFormCountry= `"$CGIPARSE" -value $strFormCountry`;
   $pFormTel	= `"$CGIPARSE" -value $strFormTel`;
   $pFormFax	= `"$CGIPARSE" -value $strFormFax`;
   $pFormEMail	= `"$CGIPARSE" -value $strFormEMail`;

   my $p = `"$CGIPARSE" -value $strFormOrderNJT`;
   if ( substr( $p, 0, $#strValueOrder ) eq $strValueOrder )
   {
      $bOrderNJT = 1;

      $p = `$CGIPARSE -value $strFormNumNJT`;
      $nFormNJT = ( $p ne "" )  ?  $p  :  0;
   }
   else
      { $bOrderNJT = 0; }

   $p = `"$CGIPARSE" -value $strFormOrderPXL`;
   if ( substr( $p, 0, $#strValueOrder ) eq $strValueOrder )
   {
      $bOrderPXL = 1;

      $p = `$CGIPARSE -value $strFormNumPXL`;
      $nFormPXL = ( $p ne "" )  ?  $p  :  0;
   }
   else
      { $bOrderPXL = 0; }

   $p = `"$CGIPARSE" -value $strFormPayBy`;
   if ( $p ne "" )
   {
      if ( substr( $p, 0, $#strValuePbCod )  eq $strValuePbCod )
         { $nFormPayBy = 0; }
      elsif ( substr( $p, 0, $#strValuePbCheque ) eq $strValuePbCheque )
         { $nFormPayBy = 1; }
      elsif ( substr( $p, 0, $#strValuePcCCard ) eq $strValuePbCCard )
      {
         $nFormPayBy = 2;
         $pFormCCardType   = `"$CGIPARSE" -value $strFormCCardType`;
         $pFormCCardOwner  = `"$CGIPARSE" -value $strFormCCardOwner`;
         $pFormCCardNumber = `"$CGIPARSE" -value $strFormCCardNumber`;
         $pFormCCardExpire = `"$CGIPARSE" -value $strFormCCardExpire`;
      }
      elsif ( substr( $p, 0, $#strValuePbInvoice ) eq $strValuePbInvoice )
         { $nFormPayBy = 3; }
      else
         { $nFormPayBy = -1; }
   }
   else
      { $nFormPayBy = -1; }

   $pFormComment = `"$CGIPARSE" -value $strFormComment`;
}


sub CheckFormularData
{
   my $strCCardMaster	= "MasterCard";
   my $strCCardEuro	= "EuroCard";
   my $strCCardDiners	= "Diners Club";
   my $strCCardVisa	= "Visa";

   if ( $pFormName eq ""  ||  $pFormName eq "\n" )
      { return 1; }

   if ( $pFormStreet eq ""  ||  $pFormStreet eq "\n" )
      { return 2; }

   if ( $pFormZip eq ""  ||  $pFormZip eq "\n" )
      { return 3; }

   if ( $pFormTown eq ""  ||  $pFormTown eq "\n" )
      { return 4; }

   if ( $pFormCountry eq ""  ||  $pFormCountry eq "\n" )
      { return 5; }

   if ( $pFormTel eq ""  ||  $pFormTel eq "\n" )
      { return 11; }

   if ( $bOrderNJT == 1  &&  $nFormNJT <= 0 )
      { $bOrderNJT = 0; $nFormNJT = ""; }
   if ( $bOrderPXL == 1  &&  $nFormPXL <= 0 )
      { $bOrderPXL = 0; $nFormPXL = ""; }

   if ( $nFormNJT == 0  &&  $nFormPXL == 0 )
   {
      if ( $pFormComment eq ""  ||  $pFormComment eq "\n" )
         { return 6; }

      return 7;
   }

   if ( $nFormPayBy == 2 )
   {
      if ( ( $pFormCCardType	eq ""  ||  $pFormCCardType eq "\n"	)
        || ( $pFormCCardOwner	eq ""  ||  $pFormCCardOwner eq "\n"	)
        || ( $pFormCCardNumber	eq ""  ||  $pFormCCardNumber eq "\n"	)
        || ( $pFormCCardExpire	eq ""  ||  $pFormCCardExpire eq "\n"	) )
         { return 8; }

      if ( substr( $pFormCCardType,0, $#strCCardMaster ) ne $strCCardMaster
        && substr( $pFormCCardType,0, $#strCCardEuro   ) ne $strCCardEuro
        && substr( $pFormCCardType,0, $#strCCardDiners ) ne $strCCardDiners
        && substr( $pFormCCardType,0, $#strCCardVisa   ) ne $strCCardVisa )
         { return 10; }
   }
   elsif ( $nFormPayBy == -1 )
      { return 9; }

   return 0;
}


sub TestForEmptyString
{
   if ( $VarQueryString eq ""  ||  $VarContentLength == 0 )
   {
      &PrintForbidden();
      exit;
   }
}


format MAILCOMMENT_XYNX =
  ===========================================================================
  Kommentar:
  @*
  $pFormComment
  ===========================================================================
  Weitere Informationen ueber den Besteller:
  Abs.(Host): @<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
              $VarRemoteHost
  Abs.(User): @<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
              $VarRemoteUser
  Abs.(Addr): @<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
              $VarRemoteAddr
  User Agent: @<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
              $VarHttpUserAgent
.

format MAILORDER_XYNX =
  ===========================================================================
  Name    @<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
          $pFormName
  Firma   @<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
          $pFormOrg
  Strasse @<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
          $pFormStreet
  PLZ     @<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
          $pFormZip
  Stadt   @<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
          $pFormTown
  Land    @<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
          $pFormCountry
  Tel.    @<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
          $pFormTel
  Fax     @<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
          $pFormFax
  eMail   @<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
          $pFormEMail

  Zahlungsweise: @<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
                 $PayBys[$nFormPayBy]
         Typ         @<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
                     $pFormCCardType
         Besitzer    @<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
                     $pFormCCardOwner
         Nummer      @<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
                     $pFormCCardNumber
         Gueltig bis @<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
                     $pFormCCardExpire

  Bestellte Pakete:
      @>>>>> x @<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
      $nFormNJT $ProductNJT
      @>>>>> x @<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
      $nFormPXL $ProductPXL

  ===========================================================================
  Kommentar:
  @*
  $pFormComment

  ===========================================================================
  Weitere Informationen ueber den Besteller:
  Abs.(Host): @<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
              $VarRemoteHost
  Abs.(User): @<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
              $VarRemoteUser
  Abs.(Addr): @<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
              $VarRemoteAddr
  User Agent: @<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
              $VarHttpUserAgent

.


sub PrintMail
{
   if ( $pFormComment eq ""  || $pFormComment eq "\n" )
      { $pFormComment = "---"; }

   if ( $nErrorCode == 6 )
      { $Subject = "Kommentar (Order-Formular)"; }
   elsif ( $nErrorCode == 0 )
      { $Subject = "Bestellung (Order-Formular)"; }
   else
      { return; }

   my $DoMail = "| $MAILTOOL -s '$Subject' $MAILADDR_XYNX";

   if ( $nErrorCode == 0 )
   {
      open (  MAILORDER_XYNX, $DoMail );
      write ( MAILORDER_XYNX );
      close ( MAILORDER_XYNX );
   }
   else
   {
      open (  MAILCOMMENT_XYNX, $DoMail );
      write ( MAILCOMMENT_XYNX );
      close ( MAILCOMMENT_XYNX );
   }
}


#  Normaler HTTP-Header
#
sub PrintHttpHeader
{
#  print "HTTP/1.0 200 OK\n";
   print "Content-type: text/html\n";
#  print "CGI/1.1\n";
   print "\n";
}


#  HTTP-Header bei fehlerhaftem Zugriff auf das Skript.
#  Gleichzeitig wird noch ein entsprechender HTML-Text angehangen.
#  Anschlieend sollte sich das Skript sofort verabschieden!
#
sub PrintForbidden
{
   &PrintHttpHeader();

   print "<HTML>\n";
   print "<HEAD>\n";
   print "<TITLE>Error accessing order script</TITLE>\n";
   print "</HEAD>\n";
   print "<BODY>\n";
   print "<H2>Error accessing order script.</H2>\n";
   print "<P>The server was unable to satisfy your request.</P>\n";
   print "<P>Please report this failure to the <I><A HREF=\"mailto:webmaster\@xynx.de\">WebMaster\@XynX.de</A></I>.</P>\n";
   print "</BODY>\n";
   print "</HTML>\n";

   exit;
}


sub PrintErrorPage
{
   if ( $nErrorCode >= $NUM_ERRORCODES )
      { $nErrorCode = 0; }

   print "<HTML>\n";
   print "<HEAD>\n";
   print "<TITLE>$ErrPgTitles</TITLE>\n";
   print "</HEAD>\n";
   print "<BODY>\n";

   print "<H1>$ErrPgTitles.</H1>\n";
   print $ErrPgReasons;

   print "<BLOCKQUOTE><B>$Errors[$nErrorCode]</B></BLOCKQUOTE>\n", ;
   if ( $nErrorCode == 6 )
      { print $Errors6; }

   print $ErrPgFoots;
   print "</BODY>\n";
   print "</HTML>\n";

   exit;
}


sub print2
{
   if ( $_[1] ne "" )
   {
      print "<TR><TD NOWRAP VALIGN=TOP ALIGN=LEFT>"; 
      print $_[0];
      print "</TD><TD VALIGN=TOP ALIGN=LEFT>";
      print $_[1];
      print "</TD></TR>\n";
   }
}


sub print2s
{
   if ( $_[1] ne "" )
   {
      print "<TR><TD NOWRAP VALIGN=TOP ALIGN=LEFT>"; 
      print $_[0];
      print "</TD><TD VALIGN=TOP ALIGN=LEFT>";
      for ( $_[1] ) { print "****************"; }
      print "</TD></TR>\n";
   }
}


sub PrintConfirmationPage
{
   print "<HTML>\n";
   print "<HEAD>\n";
   print "<TITLE>$Confirmations</TITLE>\n";
   print "</HEAD>\n";
   print "<BODY>\n";

   print "<H1>$Confirmations.</H1>\n";
   print $Thanks;

   print "<BLOCKQUOTE><TABLE BORDER=0>\n";

   print2( $Names,	$pFormName		);
   print2( $Orgs,	$pFormOrg		);
   print2( $Streets,	$pFormStreet		);
   print2( $Zips,	$pFormZip		);
   print2( $Towns,	$pFormTown		);
   print2( $Countrys,	$pFormCountry		);
   print2( $Tels,	$pFormTel		);
   print2( $Faxs,	$pFormFax		);
   print2( "eMail",	$pFormEMail		);
   print2( $Pay_Bys,	$PayBys[$nFormPayBy]	);

   if ( $nFormPayBy == 2 )
   {
      print2( $CCardTypes,  $pFormCCardType );
      print2( $CCardOwners, $pFormCCardOwner );
      print2s( $CCardNumbers, $pFormCCardNumber );
      print2( $CCardExpires, $pFormCCardExpire );
   }

   if ( $bOrderNJT == 1  &&  $nFormNJT > 0 )
   {
      $PartNJT = "<TR><TD VALIGN=TOP NOWRAP ALIGN=RIGHT>$nFormNJT</TD><TD VALIGN=TOP NOWRAP ALIGN=LEFT>x $ProductNJT</TD></TR>\n";
   }

   if ( $bOrderPXL == 1  &&  $nFormPXL > 0 )
   {
      $PartPXL = "<TR><TD VALIGN=TOP NOWRAP ALIGN=RIGHT>$nFormPXL</TD><TD VALIGN=TOP NOWRAP ALIGN=LEFT>x $ProductPXL</TD></TR>\n";
   }

   print2( $Ordereds, "<TABLE BORDER=0>$PartNJT$PartPXL</TABLE>" ); 
   print "</TABLE></BLOCKQUOTE>\n";
   print $Foots;
   print "</BODY>\n";
   print "</HTML>\n";
}


#  Und los geht's...
#
&GetEnvironment();
&GetLanguage();

&GetFormularData();
$nErrorCode = CheckFormularData();

&PrintMail();

&PrintHttpHeader();

if ( $nErrorCode == 0 )
   { &PrintConfirmationPage(); }
else
   { &PrintErrorPage(); }

